<template>
  <router-link class="suggestion-to-auth-link">
    <slot />
  </router-link>
</template>

<style lang="scss" scoped>
.suggestion-to-auth-link {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  width: 100%;
  height: 34px;
  cursor: pointer;
  border-radius: 4px;
  color: rgb(var(--j-primary-color));

  &:hover {
    color: initial;
    background-color: rgba(173, 173, 184, 35%);
  }
}
</style>
